> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Список хостов



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json get /v0/hosts
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/hosts:
    get:
      tags:
        - hosts
      summary: Список хостов
      operationId: get_hosts_v0_hosts_get
      parameters:
        - name: start
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Start
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Limit
        - name: currency
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Currency'
            default: RUB
        - name: locale
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Locale'
            default: ru
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationResponse_list_HostResponse__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    Currency:
      type: string
      enum:
        - USD
        - RUB
        - QOIN
      title: Currency
    Locale:
      type: string
      enum:
        - ru
        - en
      title: Locale
    PaginationResponse_list_HostResponse__:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/HostResponse'
              type: array
            - type: 'null'
          title: Data
        total_items:
          type: integer
          title: Total Items
          default: 0
      type: object
      title: PaginationResponse[list[HostResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HostResponse:
      properties:
        id:
          type: string
          title: Id
        offer:
          $ref: '#/components/schemas/OfferResponse'
        agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Id
        status:
          $ref: '#/components/schemas/HostStatus'
          default: inactive
        status_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Reason
        address:
          type: string
          title: Address
        agent_port:
          type: integer
          title: Agent Port
        fingerprint:
          type: string
          title: Fingerprint
      type: object
      required:
        - id
        - offer
        - address
        - agent_port
        - fingerprint
      title: HostResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OfferResponse:
      properties:
        id:
          type: string
          title: Id
        provider:
          anyOf:
            - $ref: '#/components/schemas/CompactProviderResponse'
            - type: 'null'
        gpu_amount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Amount
        gpu_name:
          type: string
          title: Gpu Name
        gpu_translit_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Gpu Translit Name
        vram:
          anyOf:
            - type: number
            - type: 'null'
          title: Vram
        prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Prices
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/Location'
            - type: 'null'
        configuration:
          $ref: '#/components/schemas/ConfigurationData'
        extra:
          additionalProperties: true
          type: object
          title: Extra
          default: {}
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        in_stock:
          type: boolean
          title: In Stock
        rentable:
          type: boolean
          title: Rentable
        is_third_party:
          type: boolean
          title: Is Third Party
          default: false
        offers_amount:
          type: integer
          title: Offers Amount
          default: 0
        countries_amount:
          type: integer
          title: Countries Amount
          default: 0
        disk_prices:
          items:
            $ref: '#/components/schemas/Price'
          type: array
          title: Disk Prices
          default: []
        available_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Available Until
        real_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Real Price
        disk_real_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Disk Real Price
      type: object
      required:
        - id
        - gpu_name
        - configuration
        - in_stock
        - rentable
      title: OfferResponse
    HostStatus:
      type: string
      enum:
        - inactive
        - review
        - approved
        - waiting
        - active
        - running
        - blocked
      title: HostStatus
    CompactProviderResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        translit_name:
          type: string
          title: Translit Name
        country:
          type: string
          title: Country
        logo:
          type: string
          title: Logo
        meta_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Title
        meta_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Meta Description
        use_vpn:
          type: boolean
          title: Use Vpn
          default: true
      type: object
      required:
        - id
        - name
        - translit_name
        - country
        - logo
      title: CompactProviderResponse
    Price:
      properties:
        amount:
          type: number
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
        period:
          $ref: '#/components/schemas/PricePeriod'
          default: hourly
      type: object
      required:
        - amount
        - currency
      title: Price
    Location:
      properties:
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
      type: object
      title: Location
    ConfigurationData:
      properties:
        ram:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        disk:
          anyOf:
            - $ref: '#/components/schemas/UnitValue_MemoryUnit_'
            - type: 'null'
        cpu_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cpu Name
        vcpu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vcpu
        cpu_cores:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cpu Cores
        cpu_freq:
          anyOf:
            - type: number
            - type: 'null'
          title: Cpu Freq
        memory_speed:
          anyOf:
            - type: number
            - type: 'null'
          title: Memory Speed
        ethernet_in:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet In
        ethernet_out:
          anyOf:
            - type: number
            - type: 'null'
          title: Ethernet Out
        capacity:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity
        max_cuda_version:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Cuda Version
      type: object
      title: ConfigurationData
    PricePeriod:
      type: string
      enum:
        - minutely
        - hourly
        - daily
        - monthly
      title: PricePeriod
    UnitValue_MemoryUnit_:
      properties:
        amount:
          type: number
          title: Amount
        unit:
          $ref: '#/components/schemas/MemoryUnit'
      type: object
      required:
        - amount
        - unit
      title: UnitValue[MemoryUnit]
    MemoryUnit:
      type: string
      enum:
        - gb
        - mb
      title: MemoryUnit
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.